<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:fitsSystemWindows="true" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="#0D000000">

            <com.esri.arcgisruntime.mapping.view.MapView
                android:id="@+id/mapView"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaImageButton
                android:id="@+id/removeToLocalView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom|end"
                android:layout_margin="10dp"
                android:background="@drawable/bg_button"
                android:elevation="5dp"
                android:padding="5dp"
                android:src="@drawable/ic_aim" />

            <TextView
                android:id="@+id/locationStreetView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableStart="@drawable/ic_map"
                android:drawablePadding="@dimen/padding_10dp"
                android:gravity="center_vertical"
                android:padding="5dp"
                android:textColor="@color/white" />
        </FrameLayout>

        <include layout="@layout/line" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="2"
            android:paddingHorizontal="@dimen/padding_10dp">

            <LinearLayout
                android:id="@+id/l"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <RelativeLayout
                    android:id="@+id/selectWorkLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        android:id="@+id/t"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_gravity="center_vertical"
                        android:text="工作内容："
                        android:textSize="@dimen/textFontSize" />

                    <TextView
                        android:id="@+id/workContentView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_gravity="center_vertical"
                        android:layout_marginEnd="@dimen/margin_10dp"
                        android:layout_toStartOf="@id/i"
                        android:layout_toEndOf="@id/t"
                        android:textSize="@dimen/textFontSize" />

                    <ImageView
                        android:id="@+id/i"
                        style="@style/rightImageStyle"
                        android:src="@drawable/ic_right" />
                </RelativeLayout>

                <RelativeLayout style="@style/itemLayoutStyle">

                    <TextView
                        android:id="@+id/tt"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_gravity="center_vertical"
                        android:text="公厕标识："
                        android:textSize="@dimen/textFontSize" />

                    <TextView
                        android:id="@+id/toiletIdView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_gravity="center_vertical"
                        android:layout_toEndOf="@id/tt"
                        android:textSize="@dimen/textFontSize" />

                    <ImageView
                        android:id="@+id/startScanView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"
                        android:background="@drawable/ic_scan" />
                </RelativeLayout>

                <RelativeLayout style="@style/itemLayoutStyle">

                    <TextView
                        android:id="@+id/ttt"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="工作图片："
                        android:textSize="@dimen/textFontSize" />

                    <ImageView
                        android:id="@+id/pictureView"
                        android:layout_width="120dp"
                        android:layout_height="120dp"
                        android:layout_marginEnd="@dimen/margin_10dp"
                        android:layout_toEndOf="@id/ttt" />

                    <ImageView
                        android:id="@+id/takePictureView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_gravity="center_vertical"
                        android:background="@drawable/ic_camera" />
                </RelativeLayout>

            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_below="@id/l">

                <FrameLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true">

                    <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                        android:id="@+id/signInButton"
                        android:layout_width="120dp"
                        android:layout_height="120dp"
                        android:text="工作打卡"
                        android:textColor="@color/white"
                        android:textSize="@dimen/titleFontSize"
                        app:qmui_backgroundColor="@color/mainThemeColor"
                        app:qmui_radius="60dp" />

                    <TextClock
                        android:id="@+id/timeClockView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal|bottom"
                        android:layout_marginBottom="20dp"
                        android:format24Hour="HH:MM:ss"
                        android:textColor="@color/white" />
                </FrameLayout>
            </RelativeLayout>
        </RelativeLayout>
    </LinearLayout>
</LinearLayout>